use crate::wasm4;

pub fn set_draw_color(idx: u16) {
    unsafe { *wasm4::DRAW_COLORS = idx.into() }
}

pub fn set_palette(palette: [u32; 4]) {
    unsafe {
        *wasm4::PALETTE = palette;
    }
}

pub fn moonlight() {
    set_palette([0xf3eaab, 0x86a0b7, 0x3d476a, 0x19152a]);
}

pub fn en4() {
    set_palette([0xfbf7f3, 0xe5b083, 0x426e5d, 0x20283d]);
}

pub fn amanita() {
    set_palette([0xf1eee3, 0xccc2b8, 0xb34750, 0x4d0f40]);
}

pub fn cafe_nouveau() {
    set_palette([0xf8e6d0, 0xc08e70, 0x683a34, 0x200816]);
}

/*pub fn coldfire() {
    set_palette([0x46425e, 0x5b768d, 0xd17c7c, 0xf6c6a8]);
}*/
